"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var send_1 = require("./send");
exports.send = send_1.default;
var responseWithCors_1 = require("./responseWithCors");
exports.responseWithCors = responseWithCors_1.default;
__export(require("./resolutions"));
/**
 * Binds callback and response to a function.
 * Used in combination with a resolution or send helpers
 * @example
 * import { responseWithCors, bindResolve, success, } from 'tech-matters-serverless-helpers';
 *
 * export const handler = (context, event, callback) => {
 *   const resolve = bindResolve(callback)(responseWithCors());
 *   const body = { prop1: value1, prop2: value2 };
 *   resolve(succes(body));
 * }
 *
 */
exports.bindResolve = function (cb) { return function (res) { return function (f) { return f(cb)(res); }; }; };
