/**
 * @example
 * // with resolve bind:
 * resolve(succes(body))
 * // withouth resolve bind:
 * success(body)(callback)(response)
 */
export declare const success: (body: string | object) => (callback: import("@twilio-labs/serverless-runtime-types/types").ServerlessCallback) => (response: import("@twilio-labs/serverless-runtime-types/types").TwilioResponse) => void;
/**
 * @param missing name or array of names of the missing parameters
 * * @example
 * // with resolve bind:
 * resolve(error400('onlyMissingParam'))
 * // withouth resolve bind:
 * error400(['missingParam1', 'missingParam2'])(callback)(response)
 */
export declare const error400: (missing: string | string[]) => (callback: import("@twilio-labs/serverless-runtime-types/types").ServerlessCallback) => (response: import("@twilio-labs/serverless-runtime-types/types").TwilioResponse) => void;
export declare const error403: (message: string) => (callback: import("@twilio-labs/serverless-runtime-types/types").ServerlessCallback) => (response: import("@twilio-labs/serverless-runtime-types/types").TwilioResponse) => void;
/**
 * @example
 * // with resolve bind:
 * resolve(error500(err))
 * // withouth resolve bind:
 * error500(err)(callback)(response)
 */
export declare const error500: (body: string | object) => (callback: import("@twilio-labs/serverless-runtime-types/types").ServerlessCallback) => (response: import("@twilio-labs/serverless-runtime-types/types").TwilioResponse) => void;
