"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var send_1 = require("./send");
/**
 * @example
 * // with resolve bind:
 * resolve(succes(body))
 * // withouth resolve bind:
 * success(body)(callback)(response)
 */
exports.success = send_1.default(200);
/**
 * @param missing name or array of names of the missing parameters
 * * @example
 * // with resolve bind:
 * resolve(error400('onlyMissingParam'))
 * // withouth resolve bind:
 * error400(['missingParam1', 'missingParam2'])(callback)(response)
 */
exports.error400 = function (missing) {
    if (missing instanceof Array)
        return send_1.default(400)({
            message: "Error: " + missing.join(', ') + " parameters not provided",
            status: 400,
        });
    return send_1.default(400)({ message: "Error: " + missing + " parameter not provided", status: 400 });
};
exports.error403 = function (message) {
    return send_1.default(403)({ message: message, status: 403 });
};
/**
 * @example
 * // with resolve bind:
 * resolve(error500(err))
 * // withouth resolve bind:
 * error500(err)(callback)(response)
 */
exports.error500 = send_1.default(500);
