"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("@twilio-labs/serverless-runtime-types");
/**
 * Returns a Twilio Response object with the following http headers:
 * - Access-Control-Allow-Origin: *,
 * - Access-Control-Allow-Methods: OPTIONS, POST, GET,
 * - Access-Control-Allow-Headers: Content-Type,
 * - Content-Type: application/json,
 */
var responseWithCors = function () {
    var response = new Twilio.Response();
    response.setHeaders({
        'Access-Control-Allow-Origin': '*',
        'Access-Control-Allow-Methods': 'OPTIONS, POST, GET',
        'Access-Control-Allow-Headers': 'Content-Type',
        'Content-Type': 'application/json',
    });
    return response;
};
exports.default = responseWithCors;
